import oscP5.*;

float R;
float y;

OscP5 oscP5;

void setup() {
  size(500, 300);
  
  oscP5 = new OscP5(this, 7878);
}

void draw() {
  strokeWeight(2);
  
  float xval = (R - 2.0) / 2.0;
  xval = xval * width;
  
  float yval = (1.0 - y) * height;
  point(xval, yval);
}

void oscEvent(OscMessage theOscMessage) {
  if (theOscMessage.checkAddrPattern("/yval")) {
      y = theOscMessage.get(0).floatValue();
  }
  
    if (theOscMessage.checkAddrPattern("/Rval")) {
      R = theOscMessage.get(0).floatValue();
  }
}
